SolrDisMaxQuery::setBigramPhraseFields
SolrDisMaxQuery::setBoostFunction
SolrDisMaxQuery
PHP Manual

# SolrDisMaxQuery::setBigramPhraseSlop

(No version information available, might only be in Git)

SolrDisMaxQuery::setBigramPhraseSlop — Sets Bigram Phrase Slop (ps2 parameter)

### Description

public SolrDisMaxQuery SolrDisMaxQuery::setBigramPhraseSlop ( string `$slop` )

Sets Bigram Phrase Slop (ps2 parameter). A default slop for Bigram phrase fields.

### Parameters

`slop`

### Return Values

SolrDisMaxQuery

### Examples

Example #1 SolrDisMaxQuery::setBigramPhraseSlop() example

`<?php
$dismaxQuery = new SolrDisMaxQuery('lucene');
$dismaxQuery->setBigramPhraseSlop(5);
echo $dismaxQuery.PHP_EOL;
?>`

The above example will output something similar to:

    q=lucene&defType=edismax&ps2=5

### See Also

SolrDisMaxQuery::setBigramPhraseFields
SolrDisMaxQuery::setBoostFunction
SolrDisMaxQuery
PHP Manual